diff --git a/tests/p_python/20-python-mysql-test.sh b/tests/p_python/20-python-mysql-test.sh
index 1368d93..3d2cbe1 100755
--- a/tests/p_python/20-python-mysql-test.sh
+++ b/tests/p_python/20-python-mysql-test.sh
@@ -8,12 +8,11 @@ t_Log "Running $0 - python can retrieve mysql-server version information."
 # starting with 5.10, we have to differ between mysql55 and mysql
 if [ $centos_ver = 5 ]
 then
-  t_InstallPackage mysql55-mysql-server
-  t_ServiceControl mysql55-mysqld start >/dev/null 2>&1
+  t_InstallPackage mysql55-mysql-server mysql-server
 else
   t_InstallPackage mysql-server
-  t_ServiceControl mysqld start >/dev/null 2>&1
 fi
+t_ServiceControl mysqld start >/dev/null 2>&1
 
 # Installing additional python/mysql module
 t_InstallPackage MySQL-python
diff --git a/tests/p_python/25-python-mysql55-test.sh b/tests/p_python/25-python-mysql55-test.sh
new file mode 100755
index 0000000..ed62c3a
--- /dev/null
+++ b/tests/p_python/25-python-mysql55-test.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+# Author: Christoph Galuschka <christoph.galuschka@chello.at>
+
+t_Log "Running $0 - python can retrieve mysql55-mysql-server version information."
+
+# we need a working and running mysql server
+# starting with 5.10, we have to differ between mysql55 and mysql
+if [ $centos_ver = 5 ]
+then
+  t_ServiceControl mysqld stop
+  t_ServiceControl mysql55-mysqld start
+fi
+
+# Installing additional python/mysql module
+t_InstallPackage MySQL-python
+
+# create python Scrip
+SCRIPT='/var/tmp/test.py'
+
+cat >$SCRIPT <<EOF
+import MySQLdb
+
+conn = MySQLdb.connect (host = "localhost",
+                           user = "",
+                           passwd = "",
+                           db = "test")
+cursor = conn.cursor ()
+cursor.execute ("SELECT VERSION()")
+row = cursor.fetchone ()
+print "server version:", row[0]
+cursor.close ()
+conn.close ()
+EOF
+
+# If we execute the script and get the version it works
+python $SCRIPT |grep -q 'server version'
+
+t_CheckExitStatus $?
+
+# cleaning up
+/bin/rm $SCRIPT